Bug 188338 - Sound does not wake up after resume from pm-suspend on Dell C840
Sound does not wake up after resume from pm-suspend on Dell C840
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-08 01:00 EDT by Ranjan Maitra
Modified: 2007-12-10 17:06 EST (History)
5 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 17:06:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pm hook to restore alsa settings on resume (370 bytes, application/octet-stream)
2006-04-19 14:45 EDT, Jack Spaar
no flags Details
dmesg output before suspend (14.89 KB, text/plain)
2006-04-28 23:53 EDT, Doug Morton
no flags Details
dmesg output after suspend (19.14 KB, text/plain)
2006-04-28 23:53 EDT, Doug Morton
no flags Details
hwconf (4.95 KB, text/plain)
2006-04-28 23:54 EDT, Doug Morton
no flags Details
sleep.sh (753 bytes, text/plain)
2006-04-28 23:55 EDT, Doug Morton
no flags Details
scsconfig.log file before laptop goes into suspend mode (142.90 KB, text/plain)
2006-11-05 09:34 EST, Ranjan Maitra
no flags Details
scsconfig.log file after laptop wakes up from suspend mode (143.05 KB, text/plain)
2006-11-05 09:35 EST, Ranjan Maitra
no flags Details
scsconfig.log file after drivers are reloaded (143.06 KB, text/plain)
2006-11-05 09:36 EST, Ranjan Maitra
no flags Details
scsrun.log file before laptop goes into suspend mode (293 bytes, text/plain)
2006-11-05 09:38 EST, Ranjan Maitra
no flags Details
scsrun.log file after laptop wakes up from suspend mode (293 bytes, text/plain)
2006-11-05 09:39 EST, Ranjan Maitra
no flags Details
scsrun.log file after drivers are reloaded (244 bytes, text/plain)
2006-11-05 09:40 EST, Ranjan Maitra
no flags Details

  None (edit)
Description Ranjan Maitra 2006-04-08 01:00:52 EDT
Description of problem:

Sound does not wake up after resume from pm-suspend on Dell C840

Version-Release number of selected component (if applicable):

pm-utils-0.15-1

How reproducible:

Everytime


Steps to Reproduce:
1. Log into FC5 on a Dell (Latitude C840 laptop)
2. Suspend (by typing) pm-suspend or the gnome-frontend
3. Wake up by opening lid of laptop (after a short while)
  
Actual results:

System wakes up ok, but no sounds hereafter

Expected results:

Things should work normally including with audio

Additional info:

Don't know what sort of file to submit
Comment 1 Jack Spaar 2006-04-19 14:45:04 EDT
Created attachment 128001 [details]
pm hook to restore alsa settings on resume
Comment 2 Jack Spaar 2006-04-19 14:49:36 EDT
Had the same problem with no sound on resume from suspend for built-in C-Media
PCI CMI8738 on an Asus A7A266 mobo.

Created a shell script in /etc/pm/hooks/96alsa to execute "alsactl restore" on
resume, fixed it for me.
Comment 3 Ranjan Maitra 2006-04-19 23:50:18 EDT
(In reply to comment #2)
> Had the same problem with no sound on resume from suspend for built-in C-Media
> PCI CMI8738 on an Asus A7A266 mobo.
> 
> Created a shell script in /etc/pm/hooks/96alsa to execute "alsactl restore" on
> resume, fixed it for me.

I tried the supplied script: did not work for me.

Have to reboot.

Thanks!
Comment 4 Doug Morton 2006-04-28 23:53:01 EDT
Created attachment 128382 [details]
dmesg output before suspend
Comment 5 Doug Morton 2006-04-28 23:53:54 EDT
Created attachment 128383 [details]
dmesg output after suspend
Comment 6 Doug Morton 2006-04-28 23:54:45 EDT
Created attachment 128384 [details]
hwconf
Comment 7 Doug Morton 2006-04-28 23:55:41 EDT
Created attachment 128385 [details]
sleep.sh
Comment 8 Doug Morton 2006-04-29 00:02:35 EDT
I have the same problem with my Inspiron 4100 laptop running KDE.  Your
suggested fix worked fine in FC4 but does not work in FC5.  Also, I've found
that after resuming from suspend, if I use the mouse to jiggle the "Master" and
"PCM" volume controls in KMix, sound starts working again.
Comment 9 Ranjan Maitra 2006-04-30 10:45:31 EDT
Is there a non-KDE solution? Or a commandline solution, for that matter?
Comment 10 Wade Nelson 2006-09-06 08:14:20 EDT
I have this issues in FC5 and FC6test2 on a Dell Inspiron using hda-intel ALSA
driver.

Any juggling of PCM or Master in alsamixer or the Gnome volume control/applet
brings it back.

'alsactl restore' does NOT bring sound back.
Comment 11 Peter Jones 2006-09-28 17:04:08 EDT
This means the sound driver does not properly support suspend and resume.
Comment 12 Dave Jones 2006-10-16 14:56:19 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 13 Ranjan Maitra 2006-10-16 23:31:24 EDT
There is no change with the new kernel. Sound does not again wake up after
pm-suspend on FC5 on a Dell Latitude C840.
Comment 14 Dave Jones 2006-10-17 01:29:26 EDT
You may get this fixed faster by reporting it to the upstream ALSA developers at
https://bugtrack.alsa-project.org/alsa-bug/
Comment 15 Ranjan Maitra 2006-10-17 09:12:09 EDT
so this is an alsa-bug? pm-hibernate works fine!!
Comment 16 Dave Jones 2006-10-19 14:42:43 EDT
hibernate and suspend take completely different code paths, and on resume both
meet the chip in completely different states.

So yes, looks like an ALSA bug.
Comment 17 Wade Nelson 2006-10-20 07:50:22 EDT
Using hda-intel (more info above) on Dell Inspiron B130...

Sound works after resume from hibernate.
Sound does not work after resume from suspend.  'alsactl restore' does not fix,
juggling of PCM or Master either via alsamixer or gnome mixer will bring sound back.

Running kernel 2.6.18-1.2798.fc6 at the time of this post.
Comment 18 Ranjan Maitra 2006-10-29 19:57:08 EST
works off the box on xubuntu 6.10. Not on fedora. it is also true that fedora's
alsa-libs, etc need a serious update. they are in 1.0.11.4.rc2 but stable
versions of 1.0.13 are out! 

doesn't look like a alsa problem....but let us wait for the upgrade to happen in
a couple of days. 
Comment 19 Ranjan Maitra 2006-10-31 12:03:32 EST
Doesn't work with FC6 also. Works just fine with xubuntu6.10. Therefore, truly a
fedora problem. 

It would be nice if this could be fixed. ALSA has no role to play.
Comment 20 Ranjan Maitra 2006-11-05 09:34:14 EST
Created attachment 140391 [details]
scsconfig.log file before laptop goes into suspend mode

The problem continues with FC6. But explicitly reloading the drivers everytime
works! So, the problem should have a solution. Anyway, I am attaching three
pairs of files.

1. /root/scsrun.log	--- scsrun.log file before laptop goes into suspend
mode
2. /root/scsconfig.log	--- scsconfig.log file before laptop goes into suspend
mode

1. /root/scsrun1.log	 --- scsrun.log file after laptop wakes up from suspend
mode
2. /root/scsconfig1.log  --- scsconfig.log file after laptop wakes up from
suspend mode

1. /root/scsrun2.log	 --- scsrun.log file after drivers are reloaded 
2. /root/scsconfig2.log  --- scsconfig.log file after drivers are reloaded
Comment 21 Ranjan Maitra 2006-11-05 09:35:50 EST
Created attachment 140393 [details]
scsconfig.log file after laptop wakes up from suspend mode

The problem continues with FC6. But explicitly reloading the drivers everytime
works! So, the problem should have a solution. Anyway, I am attaching three
pairs of files.

1. /root/scsrun.log	--- scsrun.log file before laptop goes into suspend
mode
2. /root/scsconfig.log	--- scsconfig.log file before laptop goes into suspend
mode

1. /root/scsrun1.log	 --- scsrun.log file after laptop wakes up from suspend
mode
2. /root/scsconfig1.log  --- scsconfig.log file after laptop wakes up from
suspend mode

1. /root/scsrun2.log	 --- scsrun.log file after drivers are reloaded 
2. /root/scsconfig2.log  --- scsconfig.log file after drivers are reloaded
Comment 22 Ranjan Maitra 2006-11-05 09:36:50 EST
Created attachment 140395 [details]
scsconfig.log file after drivers are reloaded 

The problem continues with FC6. But explicitly reloading the drivers everytime
works! So, the problem should have a solution. Anyway, I am attaching three
pairs of files.

1. /root/scsrun.log	--- scsrun.log file before laptop goes into suspend
mode
2. /root/scsconfig.log	--- scsconfig.log file before laptop goes into suspend
mode

1. /root/scsrun1.log	 --- scsrun.log file after laptop wakes up from suspend
mode
2. /root/scsconfig1.log  --- scsconfig.log file after laptop wakes up from
suspend mode

1. /root/scsrun2.log	 --- scsrun.log file after drivers are reloaded 
2. /root/scsconfig2.log  --- scsconfig.log file after drivers are reloaded
Comment 23 Ranjan Maitra 2006-11-05 09:38:19 EST
Created attachment 140396 [details]
scsrun.log file before laptop goes into suspend mode

The problem continues with FC6. But explicitly reloading the drivers everytime
works! So, the problem should have a solution. Anyway, I am attaching three
pairs of files.

1. /root/scsrun.log	--- scsrun.log file before laptop goes into suspend
mode
2. /root/scsconfig.log	--- scsconfig.log file before laptop goes into suspend
mode

1. /root/scsrun1.log	 --- scsrun.log file after laptop wakes up from suspend
mode
2. /root/scsconfig1.log  --- scsconfig.log file after laptop wakes up from
suspend mode

1. /root/scsrun2.log	 --- scsrun.log file after drivers are reloaded 
2. /root/scsconfig2.log  --- scsconfig.log file after drivers are reloaded
Comment 24 Ranjan Maitra 2006-11-05 09:39:27 EST
Created attachment 140397 [details]
scsrun.log file after laptop wakes up from suspend mode

The problem continues with FC6. But explicitly reloading the drivers everytime
works! So, the problem should have a solution. Anyway, I am attaching three
pairs of files.

1. /root/scsrun.log	--- scsrun.log file before laptop goes into suspend
mode
2. /root/scsconfig.log	--- scsconfig.log file before laptop goes into suspend
mode

1. /root/scsrun1.log	 --- scsrun.log file after laptop wakes up from suspend
mode
2. /root/scsconfig1.log  --- scsconfig.log file after laptop wakes up from
suspend mode

1. /root/scsrun2.log	 --- scsrun.log file after drivers are reloaded 
2. /root/scsconfig2.log  --- scsconfig.log file after drivers are reloaded
Comment 25 Ranjan Maitra 2006-11-05 09:40:12 EST
Created attachment 140398 [details]
scsrun.log file after drivers are reloaded 

The problem continues with FC6. But explicitly reloading the drivers everytime
works! So, the problem should have a solution. Anyway, I am attaching three
pairs of files.

1. /root/scsrun.log	--- scsrun.log file before laptop goes into suspend
mode
2. /root/scsconfig.log	--- scsconfig.log file before laptop goes into suspend
mode

1. /root/scsrun1.log	 --- scsrun.log file after laptop wakes up from suspend
mode
2. /root/scsconfig1.log  --- scsconfig.log file after laptop wakes up from
suspend mode

1. /root/scsrun2.log	 --- scsrun.log file after drivers are reloaded 
2. /root/scsconfig2.log  --- scsconfig.log file after drivers are reloaded
Comment 26 Brad Smith 2007-05-26 09:35:50 EDT
I have this problem on my thinkpad T60 and found that running:

  alsaunmute 0

restores the sound. If it complains about 0 not being a valid card number or if
it doesn't work, run alsacard to see what numeric ID your card(s) has. 
Comment 27 Brad Smith 2007-05-26 09:36:51 EDT
Correction (in case it matters): it's a T30, not a T60.
Comment 28 Nigel Cunningham 2007-12-10 17:06:05 EST
Closing as fixed since solutions have been found (see previous comments).

Note You need to log in before you can comment on or make changes to this bug.